%    Automatic test procedure for the MEX files - based on EQuUs TPI v4.8
%    Copyright (C) 2016-2017 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
function automatic_test_MEX()

	MEX_files = dir( fullfile(pwd, ['*.', mexext]));


    for idx = 1:length(MEX_files)
        if MEX_files(idx).isdir
        	continue;
		end

        display('***************************************************************************')
		fncname = MEX_files(idx).name;
        disp(['Testing ', fncname]);
        fncname = [fncname(1:end-length(mexext)-1), '_test'];
        feval(fncname);
		disp(' ')
		disp(' ')
	end
end
